pfSense - Bug #11288

Wireguard: Peer PSK is auto-filled to the keepalive field
01/22/2021 09:21 AM - Steve Wheeler

Status: Resolved Start date: 01/22/2021

Priority: Normal Due date:

Assignee: Jim Pingle % Done: 100%

Category: WireGuard Estimated time: 0.00 hour

Target version: 250

Plus Target Version: Affected Version: 25.0

Release Notes: Default Affected All
Architecture:

Description
If you configure a PSK on a WireGuard peer and then edit that peer the keep-alive field will be populated by the PSK value.

Updating that peer and saving obviously produces a non loadable conf file:

Jan 22 15:14:33 php-fpm 26466 /vpn_wg_edit.php: The command '/usr/local/bin/wg setcon
f 'wg0' '/etc/wg/wgO.conf'' returned exit code 'l', the output was 'Persistent keepalive interval
is neither 0/off nor 1-65535: "gzU4Ry5WXrgPhdFR8YsFg5z/PrnbxDwZLrbh7aK7Xow="' Configuration parsing

error'

Tested:

21.02-DEVELOPMENT (amd64)
built on Thu Jan 21 00:08:27 EST 2021
FreeBSD 12.2-STABLE

Associated revisions

Revision 262dba24 - 01/22/2021 09:30 AM - Jim Pingle
Fix populating keepalive value. Fixes #11288

Revision 9f127e7e - 01/26/2021 10:13 AM - Jim Pingle
Fix WG Keep Alive field variable name. Fixes #11288

History

#1 - 01/22/2021 09:25 AM - Viktor Gurov

fix in https://gitlab.netgate.com/pfSense/pfSense/-/merge_requests/101/

#2 - 01/22/2021 09:40 AM - Jim Pingle
- Status changed from New to Feedback
- % Done changed from 0 to 100

Applied in changeset 262dba240a74a4b70cacbe6835dcef344d44{316.

#3 - 01/23/2021 09:45 AM - Viktor Gurov

- Status changed from Feedback to Resolved
https://gitlab.netgate.com/pfSense/pfSense/-/merge_requests/101/
https://redmine.pfsense.org/projects/pfsense/repository/revisions/262dba240a74a4b70cacbe6835dcef344d44f316

2.5.0.a.20210122.2350 fixed

#4 - 01/26/2021 10:03 AM - Christian McDonald

I'm still having issues with the Keepalive field. When | edit and peer and set the keepalive value, save and come back the field is blank. The value is
also not present in 'wg showconf' at the shell.

#5 - 01/26/2021 10:15 AM - Jim Pingle

- Status changed from Resolved to Feedback

| found a typo in the variable name used to populate the value in the GUI, but the backend appears to be using it appropriately. Commit coming
momentarily.

I'm not sure if wg is supposed to print that value or not, but it does appear in the configuration in /etc/wg/

#6 - 01/26/2021 02:48 PM - Christian McDonald

Excellent, will test! Thanks

#7 - 01/27/2021 08:05 AM - Christian McDonald

tested on gitsync yesterday and today via normal snapshot upgrade, both look good here.

#8 - 01/27/2021 09:13 AM - Jim Pingle

- Status changed from Feedback to Resolved

05/09/2021 22


http://www.tcpdf.org

